Subject: bug#29889: 27.0.50; Slow visual selection

From: Po Lu <[email-masked]>
Date: Fri, 20 May 2022 20:39:43 +0800

Eli Zaretskii <[email-masked]> writes:

> That's bad UX, IMO: chances are you don't know that only part of the
> text was put in the selection.  Or do you suggest displaying a warning
> when text in the selection is truncated?

The latter, yes.

> How do other apps handle request to put huge chunks of text into the
> primary selection?  If they honor such requests seamlessly and without
> slowing down the response, why cannot Emacs do the same?

Those programs only "own" the selection without copying anything.  When
another program asks for the contents of the selection, they are sent
directly from the "buffer" containing them.  (That does mean if the
buffer contents change, so will the contents of the selection.)